Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::ProxyPushConsumer Interface Reference

Defines the interface provided for push-style suppliers using the 'any' event format. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::ProxyPushConsumer:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::ProxyPushConsumer:

[legend]
List of all members.

## Public Methods
void | connect_any_push_supplier (in CosEventComm::PushSupplier push_supplier) raises (CosEventChannelAdmin::AlreadyConnected)
| Connect a supplier to the proxy.

## Detailed Description

Defines the interface provided for push-style suppliers using the 'any' event format.

## Member Function Documentation

void CosNotifyChannelAdmin::ProxyPushConsumer::connect_any_push_supplier | ( | in CosEventComm::PushSupplier | push_supplier | ) | raises (CosEventChannelAdmin::AlreadyConnected)

  | Connect a supplier to the proxy. Suppliers cannot push events into a ProxyPushConsumer until this method is invoked. Parameters:
  push_supplier | the callback object used to inform the application if the event channel is destroyed. If the argument is nil no destroy notification is provided.
  Exceptions:
  CosEventChannelAdmin::AlreadyConnected | if the proxy is already connected, i.e. if this operation is invoked more than one time.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl